www.1and1.fr sends desktop site to Firefox OS

RESOLVED INVALID

Status

Tech Evangelism
Mobile
RESOLVED INVALID
4 years ago
4 years ago

People

(Reporter: karlcow, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [serversniff] [country-fr] [sitewait], URL)

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
Created attachment 8366437 [details]
068.png

There is a first redirection for a sessionid then the content of the page is different dependent on the user agent.

→ echo "";echo ""; URI='http://www.1and1.fr/;jsessionid=ADA2F3BB280FD5FB8C43B48
32DC11768.TCpfix140b' ; echo "# iOS SAFARI"; http --print hH GET $URI "User-Age
nt: $APHUA"  ;echo "# FIREFOX OS"; http --print hH GET $URI "User-Agent: $FOSUA
"  


# iOS SAFARI
GET /;jsessionid=ADA2F3BB280FD5FB8C43B4832DC11768.TCpfix140b HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.1and1.fr
User-Agent:  Mozilla/5.0 (iPhone; CPU iPhone OS 5_0 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A334 Safari/7534.48.3

HTTP/1.1 200 OK
Cache-Control: private
Connection: keep-alive
Content-Encoding: gzip
Content-Length: 14806
Content-Type: text/html;charset=UTF-8
Date: Tue, 28 Jan 2014 03:31:29 GMT
ETag: 2f0979c4f76be784570242dddac97998
Expires: Mon, 05 Jul 1970 05:07:00 GMT
P3P: policyref="/w3c/p3p.xml", CP="CURi DEV TELi CONi TAI IVAi PSD ADM PSA CUR SAMi DELi OUR OTRi IND  INT COM NAV PRE DEM CNT PUR ONL PHY FIN CAO COR"
Server: Apache
Set-Cookie: variant.configname=2013-06-17; Expires=Sun, 15-Feb-2082 06:45:35 GMT; Path=/
Set-Cookie: variant="bGVhZDp2aDEyN2I="; Version=1; Max-Age=2147483647; Expires=Sun, 15-Feb-2082 06:45:35 GMT; Path=/
Set-Cookie: chocolateChip="qX1kxJSIiJB8fHyQbHjMvMDApKyopJks5ZVpcaiIkH1BpVU4nMHtna2VvY1pkTV9oXWcvIiMoHiUjJCI4NzM2L3dhXmZbW2cxSEA8Pj5FO2hhU3NocnA5Q0lMTEBEPFM4RzZPMzMZHRcbMzguNTM0MjEwLC8oICQlKiAnJSYkIyI1ODE="; Version=1; Domain=.1and1.fr; Max-Age=315360000; Expires=Fri, 26-Jan-2024 03:31:28 GMT; Path=/
Set-Cookie: pfixUser="20140128043023-000.TCpfix140b-1390879888593:::1390879888593"; Version=1; Max-Age=2147483647; Expires=Sun, 15-Feb-2082 06:45:35 GMT; Path=/
Vary: Accept-Encoding

# FIREFOX OS
GET /;jsessionid=ADA2F3BB280FD5FB8C43B4832DC11768.TCpfix140b HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.1and1.fr
User-Agent:  Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: private
Connection: keep-alive
Content-Encoding: gzip
Content-Length: 14566
Content-Type: text/html;charset=UTF-8
Date: Tue, 28 Jan 2014 03:31:30 GMT
ETag: 03934909c0ce42a7304a952bf192adbd
Expires: Mon, 05 Jul 1970 05:07:00 GMT
P3P: policyref="/w3c/p3p.xml", CP="CURi DEV TELi CONi TAI IVAi PSD ADM PSA CUR SAMi DELi OUR OTRi IND  INT COM NAV PRE DEM CNT PUR ONL PHY FIN CAO COR"
Server: Apache
Set-Cookie: variant.configname=2013-06-17; Expires=Sun, 15-Feb-2082 06:45:37 GMT; Path=/
Vary: Accept-Encoding

Comment 1

4 years ago
Bug reported to 1and1 France via Twitter :

https://twitter.com/valeryan24/status/428219866433060864

http://i.imgur.com/gubdcyn.png
(Reporter)

Updated

4 years ago
Whiteboard: [serversniff] [country-fr] [contactready] → [serversniff] [country-fr] [sitewait]
This site is confusing. I think this is invalid, so I'll resolve - reopen if you wish.

What I get: big, busy, zoomed-out desktop site in both Fx and Android stock browser. At the top is something that looks like an ad banner for "Noveaux domains" - there is also a "Continuer" button with smaller text "vers le site web classique" - if I click *that* button I get something that works much better on a small screen. But perhaps the only thing they adapted to a mobile was their order form, or something?
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.